List the spaces in a community (staff)
GET /api/communities/{communityId}/spaces. List the spaces in a community (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Every space in order, with its topics and links.
Path Parameters
communityId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/communities/string/spaces"[ { "orgId": "string", "id": "string", "communityId": "string", "name": "string", "description": "string", "seq": -9007199254740991, "accessRule": "all_members", "capacity": -9007199254740991, "settings": { "comments": true, "reactions": true, "requireReview": true }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "topics": [ { "orgId": "string", "id": "string", "spaceId": "string", "name": "string", "seq": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "links": [ { "orgId": "string", "id": "string", "spaceId": "string", "contentId": "string", "seq": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Open message flags in a community (staff) GET
GET /api/communities/{communityId}/message-queue. Open message flags in a community (staff). Headless LMS Communities API reference.
Create a space (staff) POST
POST /api/communities/{communityId}/spaces. Create a space (staff). Headless LMS Communities API reference.